3.3.-23./2.4.2020 Assignment 2 and peer review (all programmes) Help with Workshop planner

Closed

Workshop timeline with 5 phasesSkip to current tasks
Setup phase
Submission phase
  • Task info Open for submissions from Monday, 2 March 2020, 9:00 AM (367 days ago)
  • Task info Submissions deadline: Tuesday, 24 March 2020, 11:59 PM (345 days ago)
Assessment phase
  • Task info Open for assessment from Wednesday, 25 March 2020, 8:00 AM (344 days ago)
  • Task info Assessment deadline: Thursday, 2 April 2020, 11:59 PM (336 days ago)
Grading evaluation phase
Closed
Current phase
Conclusion

The assignment 2 is now closed.